package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 化学品和机柜关联对象 hxp_cabinet_join_cabinet
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品和机柜关联")
public class HxpChemicalJoinCabinetListVo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "关联表id")
    private Long id;

    @Excel(name = "化学品编号")
    @ApiModelProperty(value = "化学品编号")
    private String joinNum;

    @Excel(name = "化学品名称")
    @ApiModelProperty(value = "化学品名称")
    private String chemicalName;

    @Excel(name = "规格")
    @ApiModelProperty(value = "规格")
    private String chemicalAmountUnit;

    @Excel(name = "过期时间")
    @ApiModelProperty(value = "过期时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date expireTime;

    @Excel(name = "机柜名称")
    @ApiModelProperty(value = "机柜名称")
    private String cabinetName;

    @ApiModelProperty(value = "柜锁名称")
    private String lockName;

    @Excel(name = "机柜位置")
    @ApiModelProperty(value = "机柜位置")
    private String posi;

    @Excel(name = "机柜编号")
    @ApiModelProperty(value = "机柜编号")
    private String cabinetNum;

    @Excel(name = "入库状态")
    @ApiModelProperty(value = "入库状态")
    private String cabinetStatus;

    @Excel(name = "关联时间")
    @ApiModelProperty(value = "关联时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "操作人")
    @ApiModelProperty(value = "操作人")
    private String createBy;

    @Excel(name = "入库状态")
    @ApiModelProperty(value = "入库状态")
    private Integer status;

    @Excel(name = "容器重量")
    @ApiModelProperty(value = "容器重量")
    private String tare;

   public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getJoinNum() {
        return joinNum;
    }

    public void setJoinNum(String joinNum) {
        this.joinNum = joinNum;
    }

    public String getChemicalName() {
        return chemicalName;
    }

    public void setChemicalName(String chemicalName) {
        this.chemicalName = chemicalName;
    }

    public String getChemicalAmountUnit() {
        return chemicalAmountUnit;
    }

    public void setChemicalAmountUnit(String chemicalAmountUnit) {
        this.chemicalAmountUnit = chemicalAmountUnit;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public String getCabinetName() {
        return cabinetName;
    }

    public void setCabinetName(String cabinetName) {
        this.cabinetName = cabinetName;
    }

    public String getPosi() {
        return posi;
    }

    public void setPosi(String posi) {
        this.posi = posi;
    }

    public String getCabinetNum() {
        return cabinetNum;
    }

    public void setCabinetNum(String cabinetNum) {
        this.cabinetNum = cabinetNum;
    }

    public String getCabinetStatus() {
        return cabinetStatus;
    }

    public void setCabinetStatus(String cabinetStatus) {
        this.cabinetStatus = cabinetStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getTare() {
        return tare;
    }

    public void setTare(String tare) {
        this.tare = tare;
    }

    public String getLockName() {
        return lockName;
    }

    public void setLockName(String lockName) {
        this.lockName = lockName;
    }
}
